<template>
  <main class="login">
      <section class="bg-img">
          <div class="bg">
              <h1>
                  <i class="icon-singulare">icon singulare</i>
                  <div class="espaco"></div>
                  board
              </h1>
          </div>
      </section>
      <section class="form">
          <v-container>
              <v-row>
                <v-col md="8" style="margin: 0 auto;">
                        <v-text-field
                            class="input-custom"
                            label="Email" 
                            placeholder="login@singulare.com.br"
                            v-model="email"
                            :rules="emailRules"
                            required
                        ></v-text-field>
                    <v-text-field class="input-custom" label="Senha" type="password"></v-text-field>
                    <div class="d-flex">
                        <v-checkbox
                            v-model="checkbox"
                            label="Lembrar senha"
                            hide-details
                        ></v-checkbox>
                    </div>
                    <v-btn
                        class="btn-form"
                        block
                        color="primary"
                        elevation="1"
                    >Entrar</v-btn>
                </v-col>
              </v-row>
          </v-container>
      </section>
  </main>
</template>

<script>
export default {
    name: "Login",
    data: () => ({
        email: '',
        emailRules: [
            v => !!v || 'E-mail is required',
            v => /.+@.+/.test(v) || 'E-mail must be valid',
        ],
         ex4: ['red', 'indigo', 'orange', 'primary', 'secondary', 'success', 'info', 'warning', 'error', 'red darken-3', 'indigo darken-3', 'orange darken-3'],
    }),
}
</script>

<style lang="scss">
    .d-flex {
        display: flex;
    }
    .login {
        height: 100vh;
        width: 100%;
        display: flex;

        .bg-img {
            height: 100%;
            width: 55%;

            .bg {
                background-image: url('../../assets/imgs/img-login.png');
                background-position: center;
                background-repeat: no-repeat;
                background-size: cover;
                display: flex;
                align-items: center;
                justify-content: center;
                height: 100%;
                width: 100%;

                h1 {
                    display: flex;
                    align-items: center;
                    font-family: 'Cocogoose Narrow Trial', sans-serif;
                    font-style: normal;
                    font-weight: 300;
                    font-size: 38.7072px;
                    line-height: 39px;
                    color: #FFFFFF;

                    .icon-singulare {
                        background-image: url('../../assets/imgs/logo-singulare-1.png');
                        background-position: center;
                        background-repeat: no-repeat;
                        background-size: cover;
                        height: 91px;
                        width: 329px;
                        display: inline-block;

                        font-size: 0;
                        line-height: 0;
                    }

                    .espaco {
                        background: #50CFC9;
                        display: block;
                        width: 4px;
                        height: 69px;
                        margin: 0 20px;
                    }
                }
            }
        }

        .form {
            height: 100%;
            width: 45%;
            
            .container {
                align-items: center;
                display: flex;
                height: 100%;
            }

            .input-custom {

                label {
                    font-style: normal;
                    font-weight: 500;
                    font-size: 16px;
                    line-height: 19px;
                    color: #4A5568;

                    &.v-label--active {
                        left: -5px !important;
                    }
                }
            }

            .btn-form {
                border-radius: 5px;
                font-style: normal;
                font-weight: bold;
                font-size: 16px;
                line-height: 19px;
                color: #FFFFFF;

                &.primary {
                    background: #50CFC9;
                }
            }
        }
    }
</style>